Name: couchdb
Version: 0.7.2
Release: alt1

Packager: Damir Shayhutdinov <damir@altlinux.ru>

Url: http://code.google.com/p/couchdb/
License: GPL2
Group: Databases
Summary: A peer based distributed database system

Source: http://couchdb.googlecode.com/files/%name-%version.tar.gz
Source1: couch.init
Source2: couch.ini
Source3: couch_httpd.conf
Source4: couchdb.default

BuildRequires: erlang
BuildRequires: libicu-devel libreadline-devel
BuildRequires: help2man

%description
CouchDB is a peer based distributed database system. Any number of CouchDB hosts
(servers and offline-clients) can have independent "replica copies" of the same database,
where applications have full database interactivity (query, add, edit, delete). 
When back online or on a schedule, database changes are replicated bi-directionally. 

CouchDB has built-in conflict detection and management and the replication process is
incremental and fast, copying only documents and individual fields changed since the 
previous replication. Most applications require no special planning to take advantage 
of distributed updates and replication. 

Unlike cumbersome attempts to bolt distributed features on top of the same legacy models 
and databases, it is the result of careful ground-up design, engineering and integration. 
The document, view, security and replication models, the special purpose query language, 
the efficient and robust disk layout are all carefully integrated for a reliable and 
efficient system.

%prep
%setup
mkdir build-aux

%build
./bootstrap
%configure --libdir=%_libexecdir
%make_build

%install
%make_install DESTDIR=%buildroot install
mkdir -p %buildroot%_sbindir
mv %buildroot%_bindir/%name %buildroot%_sbindir/
mv %buildroot%_prefix/lib/%name/erlang %buildroot%_prefix/lib/

install -p -m755 -D %SOURCE1 %buildroot%_initdir/%name
install -p -m644 -D %SOURCE2 %buildroot%_sysconfdir/%name/couch.ini
install -p -m644 -D %SOURCE3 %buildroot%_sysconfdir/%name/couch_httpd.conf
install -p -m644 -D %SOURCE4 %buildroot%_sysconfdir/default/%name

mkdir -p %buildroot%_localstatedir/%name
mkdir -p %buildroot%_logdir/%name

# fix paths
sed -i s@lib/lib@lib@g %buildroot%_sbindir/%name
sed -i s@%name/erlang@erlang@g %buildroot%_sbindir/%name

%pre
%_sbindir/groupadd -r -f _couchdb &>/dev/null ||:
%_sbindir/useradd -r -g _couchdb -d %_localstatedir/%name -s /dev/null \
	-c "couchdb pseudouser" -M -n _couchdb &>/dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/couch.ini
%_sysconfdir/%name/couch_httpd.conf
%_sysconfdir/%name/conf
%_initdir/%name
%config(noreplace) %_sysconfdir/default/%name
%_libexecdir/erlang/lib/*
%_libexecdir/erlang/bin/*
%_bindir/*
%_sbindir/*
%_datadir/%name
%_libexecdir/%name
%attr(2775,root, _couchdb) %_localstatedir/%name
%attr(2770,root, _couchdb) %_logdir/%name
%doc %_defaultdocdir/%name
%_man1dir/*

%changelog
* Sat Dec 08 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.7.2-alt1
- Initial build for ALT Linux
